OpenEL 3.0.0

Public Attributes | List of all members
elGenaralFncTblSt Struct Reference

`#include <openEL.h>`

## Public Attributes
enum ReturnCode(* | pFncInit )()
enum ReturnCode(* | pFncReInit )()
enum ReturnCode(* | pFncFinalize )()
enum ReturnCode(* | pFncAddObserver )()
enum ReturnCode(* | pFncRemoveObserver )()
enum ReturnCode(* | pFncGetProperty )()
enum ReturnCode(* | pFncGetTime )()
enum ReturnCode(* | pFncDummy07 )()
enum ReturnCode(* | pFncDummy08 )()
enum ReturnCode(* | pFncDummy09 )()
enum ReturnCode(* | pFncDummy0A )()
enum ReturnCode(* | pFncDummy0B )()
enum ReturnCode(* | pFncDummy0C )()
enum ReturnCode(* | pFncDummy0D )()
enum ReturnCode(* | pFncDummy0E )()
enum ReturnCode(* | pFncDummy0F )()
enum ReturnCode(* | pFncDummy10 )()
enum ReturnCode(* | pFncDummy11 )()
enum ReturnCode(* | pFncDummy12 )()
enum ReturnCode(* | pFncDummy13 )()
enum ReturnCode(* | pFncDummy14 )()
enum ReturnCode(* | pFncDummy15 )()
enum ReturnCode(* | pFncDummy16 )()
enum ReturnCode(* | pFncDummy17 )()
enum ReturnCode(* | pFncDummy18 )()
enum ReturnCode(* | pFncDummy19 )()
enum ReturnCode(* | pFncDummy1A )()
enum ReturnCode(* | pFncDummy1B )()
enum ReturnCode(* | pFncDummy1C )()
enum ReturnCode(* | pFncDummy1D )()
enum ReturnCode(* | pFncDummy1E )()
enum ReturnCode(* | pFncDummy1F )()

## Detailed Description

general component — function table

Definition at line 175 of file openEL.h.

## Member Data Documentation

## ◆ pFncAddObserver

enum ReturnCode(* elGenaralFncTblSt::pFncAddObserver) ()

AddObserver

Definition at line 179 of file openEL.h.

## ◆ pFncDummy07

enum ReturnCode(* elGenaralFncTblSt::pFncDummy07) ()

Reserved

Definition at line 183 of file openEL.h.

## ◆ pFncDummy08

enum ReturnCode(* elGenaralFncTblSt::pFncDummy08) ()

Reserved

Definition at line 185 of file openEL.h.

## ◆ pFncDummy09

enum ReturnCode(* elGenaralFncTblSt::pFncDummy09) ()

Reserved

Definition at line 186 of file openEL.h.

## ◆ pFncDummy0A

enum ReturnCode(* elGenaralFncTblSt::pFncDummy0A) ()

Reserved

Definition at line 187 of file openEL.h.

## ◆ pFncDummy0B

enum ReturnCode(* elGenaralFncTblSt::pFncDummy0B) ()

Reserved

Definition at line 188 of file openEL.h.

## ◆ pFncDummy0C

enum ReturnCode(* elGenaralFncTblSt::pFncDummy0C) ()

Reserved

Definition at line 189 of file openEL.h.

## ◆ pFncDummy0D

enum ReturnCode(* elGenaralFncTblSt::pFncDummy0D) ()

Reserved

Definition at line 190 of file openEL.h.

## ◆ pFncDummy0E

enum ReturnCode(* elGenaralFncTblSt::pFncDummy0E) ()

Reserved

Definition at line 191 of file openEL.h.

## ◆ pFncDummy0F

enum ReturnCode(* elGenaralFncTblSt::pFncDummy0F) ()

Reserved

Definition at line 192 of file openEL.h.

## ◆ pFncDummy10

enum ReturnCode(* elGenaralFncTblSt::pFncDummy10) ()

Reserved

Definition at line 194 of file openEL.h.

## ◆ pFncDummy11

enum ReturnCode(* elGenaralFncTblSt::pFncDummy11) ()

Reserved

Definition at line 195 of file openEL.h.

## ◆ pFncDummy12

enum ReturnCode(* elGenaralFncTblSt::pFncDummy12) ()

Reserved

Definition at line 196 of file openEL.h.

## ◆ pFncDummy13

enum ReturnCode(* elGenaralFncTblSt::pFncDummy13) ()

Reserved

Definition at line 197 of file openEL.h.

## ◆ pFncDummy14

enum ReturnCode(* elGenaralFncTblSt::pFncDummy14) ()

Reserved

Definition at line 198 of file openEL.h.

## ◆ pFncDummy15

enum ReturnCode(* elGenaralFncTblSt::pFncDummy15) ()

Reserved

Definition at line 199 of file openEL.h.

## ◆ pFncDummy16

enum ReturnCode(* elGenaralFncTblSt::pFncDummy16) ()

Reserved

Definition at line 200 of file openEL.h.

## ◆ pFncDummy17

enum ReturnCode(* elGenaralFncTblSt::pFncDummy17) ()

Reserved

Definition at line 201 of file openEL.h.

## ◆ pFncDummy18

enum ReturnCode(* elGenaralFncTblSt::pFncDummy18) ()

Reserved

Definition at line 203 of file openEL.h.

## ◆ pFncDummy19

enum ReturnCode(* elGenaralFncTblSt::pFncDummy19) ()

Reserved

Definition at line 204 of file openEL.h.

## ◆ pFncDummy1A

enum ReturnCode(* elGenaralFncTblSt::pFncDummy1A) ()

Reserved

Definition at line 205 of file openEL.h.

## ◆ pFncDummy1B

enum ReturnCode(* elGenaralFncTblSt::pFncDummy1B) ()

Reserved

Definition at line 206 of file openEL.h.

## ◆ pFncDummy1C

enum ReturnCode(* elGenaralFncTblSt::pFncDummy1C) ()

Reserved

Definition at line 207 of file openEL.h.

## ◆ pFncDummy1D

enum ReturnCode(* elGenaralFncTblSt::pFncDummy1D) ()

Reserved

Definition at line 208 of file openEL.h.

## ◆ pFncDummy1E

enum ReturnCode(* elGenaralFncTblSt::pFncDummy1E) ()

Reserved

Definition at line 209 of file openEL.h.

## ◆ pFncDummy1F

enum ReturnCode(* elGenaralFncTblSt::pFncDummy1F) ()

Reserved

Definition at line 210 of file openEL.h.

## ◆ pFncFinalize

enum ReturnCode(* elGenaralFncTblSt::pFncFinalize) ()

Finalize

Definition at line 178 of file openEL.h.

## ◆ pFncGetProperty

enum ReturnCode(* elGenaralFncTblSt::pFncGetProperty) ()

GetProperty

Definition at line 181 of file openEL.h.

## ◆ pFncGetTime

enum ReturnCode(* elGenaralFncTblSt::pFncGetTime) ()

GetTime

Definition at line 182 of file openEL.h.

## ◆ pFncInit

enum ReturnCode(* elGenaralFncTblSt::pFncInit) ()

Initialize

Definition at line 176 of file openEL.h.

## ◆ pFncReInit

enum ReturnCode(* elGenaralFncTblSt::pFncReInit) ()

ReInit

Definition at line 177 of file openEL.h.

## ◆ pFncRemoveObserver

enum ReturnCode(* elGenaralFncTblSt::pFncRemoveObserver) ()

RemoveObserver

Definition at line 180 of file openEL.h.

The documentation for this struct was generated from the following file:

- /Users/nakamura/openel/OpenEL-3.0.0/include/openEL.h